package com.example.upsecuritydata.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@TableName("nbms_ent_apply")
@Data
public class NbmsEntApply implements Serializable {
    private static final long serialVersionUID = 1L;


    //    @ApiModelProperty(value = "主键ID")
    private Long id;
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    @ApiModelProperty(value = "")
    private Date createDate;
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    @ApiModelProperty(value = "")
    private Date updateDate;

    //    @ApiModelProperty(value = "1注册2部分修改3全量修改4分配前缀")
    private Integer applyType;

    //    @ApiModelProperty(value = "联系人邮箱，正则表达式：")
    private String contactEmail;

    //    @ApiModelProperty(value = "单位地址，详细地址")
    private String orgAddr;

    //    @ApiModelProperty(value = "单位地址，市，取值遵从全国省市区行政编码，如北京市则展示为直辖市，取值110100")
    private String orgAddrCity;

    //    @ApiModelProperty(value = "单位地址，县，取值遵从全国省市区行政编码，如北京的东城区110101")
    private String orgAddrCounty;

    //    @ApiModelProperty(value = "单位证件号")
    private String orgCrtCode;

    //    @ApiModelProperty(value = "单位证件类型，统一社会信用代码、其他，对应取值1-2")
    private Integer orgCrtType;

    //    @ApiModelProperty(value = "单位简介，200字左右企业简介，包括公司名称、成立时间、所在省市、主营业务、主要用户群体、行业地位等信息。")
    private String orgDesc;

    //    @ApiModelProperty(value = "企业通用id,注册时为空")
    private String entGeneralId;

    //    @ApiModelProperty(value = "服务行业，行业门类，参考《GB/T 4754—2017国民经济行业分类》，如门类“农、林、牧、渔业”对应“A”")
    private String industryCategory;

    //    @ApiModelProperty(value = "单位名称")
    private String orgName;

    //    @ApiModelProperty(value = "单位地址，省，取值遵从全国省市区行政编码，如北京110000")
    private String orgAddrProvince;

    //    @ApiModelProperty(value = "服务行业，行业大类，参考《GB/T 4754—2017国民经济行业分类》，如大类“农业”对应“01”。和门类有级联关系")
    private String industrySpecific;

    //    @ApiModelProperty(value = "单位性质，国有控股、民营控股、外商控股、事业单位、民营非盈利，对应取值1-5")
    private Integer orgNature;

    //    @ApiModelProperty(value = "官方网站")
    private String website;

    //    @ApiModelProperty(value = "")
    private String industry;

    //    @ApiModelProperty(value = "0未提交1已提交")
    private Integer isSubmit;

    //    @ApiModelProperty(value = "法定代表人证件号")
    private String legalCrtNo;

    //    @ApiModelProperty(value = "法定代表人证件类型，中国居民身份证、护照、其他，对应取值1-3")
    private Integer legalCrtType;

    //    @ApiModelProperty(value = "法定代表人姓名")
    private String legalName;

    //    @ApiModelProperty(value = "联系人手机号，正则表达式")
    private String contactPhone;

    //    @ApiModelProperty(value = "企业前缀")
    private String entPrefix;

    //    @ApiModelProperty(value = "节点用户给出的审核状态:1待审核2审核通过3被驳回")
    private Integer firstAuditStatus;

    //    @ApiModelProperty(value = "节点用户给出的审核结果描述")
    private String firstAuditMsg;

    //    @ApiModelProperty(value = "实名核验结果")
    private Integer thirdServiceStatus;

    //    @ApiModelProperty(value = "实名核验结果说明")
    private String thirdServiceMsg;

    //    @ApiModelProperty(value = "企业用户名称不能为空")
    private String userName;

    //    @ApiModelProperty(value = "顶级bms给出的审核状态:1待审核2审核通过3被驳回")
    private Integer finalAuditStatus;

    //    @ApiModelProperty(value = "顶级bms企业审核员对企业信息的审核结果描述")
    private String finalAuditMsg;

    //    @ApiModelProperty(value = "svTRId: 服务端id自动生成")
    @TableField("svTRId")
    private String svTRId;

    //    @ApiModelProperty(value = "clTRId: 客户端Id")
    @TableField("clTRId")
    private String clTRId;

    //    @ApiModelProperty(value = "联系人姓名")
    private String contactName;

    //    @ApiModelProperty(value = "企业用户id")
    private Long userId;

    //    @ApiModelProperty(value = "申请前缀执行到的第几步")
    private Integer applyStep;

    //    @ApiModelProperty(value = "联系人证件类型，中国居民身份证、护照、其他，对应取值1-3")
    private Integer contactCrtType;

    //    @ApiModelProperty(value = "联系人证件号")
    private String contactCrtNo;

    //    @ApiModelProperty(value = "注册机关")
    private String regAuthority;

    //    @ApiModelProperty(value = "注册资本，单位元")
    private Long regCapital;
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    @ApiModelProperty(value = "成立日期，时间格式：yyyy-MM-dd ")
    private Date establishDate;
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    @ApiModelProperty(value = "有效期")
    private Date periodValidity;

    //    @ApiModelProperty(value = "法人代表人邮箱，正则表达式：")
    private String legalEmail;

    //    @ApiModelProperty(value = "法人代表人手机号，正则表达式")
    private String legalPhone;

    //    @ApiModelProperty(value = "法人代表人传真")
    private String legalFax;

    //    @ApiModelProperty(value = "服务系统建设，建设类型，□自营 □委托 描述对应的编码取值1-2")
    private Integer servSysBuildType;

    //    @ApiModelProperty(value = "委托机构名称，委托机构名称，建设类型选“委托”，该字段必填")
    private String servSysBuildName;

    //    @ApiModelProperty(value = "服务系统运营，运营类型，□自营 □委托 描述对应的编码取值1-2")
    private Integer servSysOperType;

    //    @ApiModelProperty(value = "服务系统运营，委托机构名称，建设类型选“委托”，该字段必填")
    private String servSysOperName;

    //    @ApiModelProperty(value = "数据托管单位，例：国家顶级节点（北京）")
    private String dataHostingOrg;

    //    @ApiModelProperty(value = "服务托管单位，例：南京ZB节点")
    private String servHostingOrg;

    //    @ApiModelProperty(value = "注册实名核验实施，实施类型□自营 □委托  描述对应的编码取值1-2")
    private Integer regRealNaImpType;

    //    @ApiModelProperty(value = "注册实名核验实施，委托机构名称，建设类型选“委托”，该字段必填")
    private String regRealNaImpName;

    //    @ApiModelProperty(value = "标识注册名称合规实施")
    private String idRegNaImp;

    //    @ApiModelProperty(value = "对外提供标识服务的网站名称、域名、IP地址，网站名称")
    private String extWebName;

    //    @ApiModelProperty(value = "对外提供标识服务的网站名称、域名、IP地址，域名")
    private String extDomain;

    //    @ApiModelProperty(value = "对外提供标识服务的网站名称、域名、IP地址，IP地址，支持IPv4和IPv6，多个IP间以;分割")
    private String extIpAddr;

    //    @ApiModelProperty(value = "营业执照")
    private Long orgCrtImgRid;

    //    @ApiModelProperty(value = "联系人证件照正面")
    private Long contactCrtFrontImgRid;

    //    @ApiModelProperty(value = "联系人证件照反面")
    private Long contactCrtBackImgRid;

    //    @ApiModelProperty(value = "法人证件照正面")
    private Long legalCrtFrontImgRid;

    //    @ApiModelProperty(value = "法人证件照反面")
    private Long legalCrtBackImgRid;

    //    @ApiModelProperty(value = "服务系统建设合同")
    private Long servSysBuildContractFileRid;

    //    @ApiModelProperty(value = "服务系统运营合同")
    private Long servSysOperContractFileRid;

    //    @ApiModelProperty(value = "数据托管合同")
    private Long dataHostingContractFileRid;

    //    @ApiModelProperty(value = "服务托管合同")
    private Long servHostingContractFileRid;

}