package com.example.upsecuritydata.task;

import cn.hutool.core.date.DateUtil;
import com.example.upsecuritydata.service.Method;
import com.xxl.job.core.context.XxlJobHelper;
import lombok.AllArgsConstructor;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author laifeng
 * @since 2022/12/1
 */
@Component
@EnableScheduling
@AllArgsConstructor
public class TestTask1 {
    private final Method method;


    // 做个空任务，让其一直运行
    @Scheduled(cron = "0 15 10 L * ?  ")
    public void refreshAliDeviceStatus() throws Exception {
        String format = DateUtil.format(DateUtil.yesterday(), "yyyy-MM-dd");
        System.out.println(format);
    }
}
